#include <iostream>

using namespace std;

int main() {
	int n, a, b, pot, j, k, max;
	max = 0;
	cin >> n;
	int pom[n];
	if(n==2)
	{
		cin>>a>>b;
		cout<< b << a;
	}
	else
	{

		for(int i = 0; i < n; i++)
		{
			cin >> a;
			pom[i] = a;					
		}	
		for(int i = 0; i < n; i++)
		{
			for(j=i+1; j < n; j++)
			{
				if(pom[j] >= max)
				{
					max = pom[j];
					k = j;
				}
			}
			if(pom[i] < pom[k])
			{
				pot = pom[k];
				pom[k] = pom[i];
				pom[i] = pot;
				break;
			}
			if(i==(n-1))
			{
				pot = pom[k];
				pom[k] = pom[i];
				pom[i] = pot;
				break;
			}
		}
		for(int i = 0; i < n; i++)
		{
			cout << pom[i] << " ";					
		}
	}
	
	return 0;
}